<div>
    <h2>
        <span jhiTranslate="twentyonepointsApp.weight.home.title">Weights</span>
        <button class="btn btn-primary float-right jh-create-entity create-weight" [routerLink]="['/', { outlets: { popup: ['weight-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="twentyonepointsApp.weight.home.createLabel">
            Create new Weight
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="weights">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="reset.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="timestamp"><span jhiTranslate="twentyonepointsApp.weight.timestamp">Timestamp</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="weight"><span jhiTranslate="twentyonepointsApp.weight.weight">Weight</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="user.login"><span jhiTranslate="twentyonepointsApp.weight.user">User</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
            <tr *ngFor="let weight of weights ;trackBy: trackId">
                <td><a [routerLink]="['../weight', weight.id ]">{{weight.id}}</a></td>
                <td>{{weight.timestamp | date:'medium'}}</td>
                <td>{{weight.weight}}</td>
                <td>
                    {{weight.user?.login}}
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../weight', weight.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'weight/'+ weight.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'weight/'+ weight.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
